NAD2NAD(1)

NAME
nad2nad - North American Datum conversion filter

SYNOPSIS
nad2nad [ -eEfihortwW [ args ] ] [ +args ] file[s]

DESCRIPTION
Program nad2nad is a filter to convert data between North America Datum 1927 (NAD27) and North American Datum 1983. nad2nad can optionally process both State Plane Coordinate System (SPCS) and Universal Transverse Mercator (UTM) grid data as well as geographic data for both input and output. This can also be accomplished with the cs2cs program.

The following control parameters can appear in any order:

-[i|o] keyword[,keyword]
    The -i and -o option expect keyword arguments which define various characteristics and processing modes of the respective input data. Usage allows multiple arguments to be included with a - operator when separated by commas. Datum conversion requires the data to be in geographic coordinates, but nad2nad will allow conversion of data to and from SPCS or UTM grid systems. The following are keywords and arguments recognized by both the -i and -o that will apply to respective input and output conversion of user data to internal geographic coordinates:

    27|83
        datum of data

    utm=n
        UTM coordinates in meters for zone n

    spcs=n
        for data in SPCS coordinates, where n is state zone number.

    feet
        data units are in U.S. Surveyor's feet. This is allowed only when the spcs option been previously used. Default coordinates are in meters.

    bin for data in binary form.

    rev data in lat-lon order rather than default lon-lat order.

    hp=ss
        use high precision conversion zone ss. Certain States have ancillary correction tables to further refine the basic conus table. Ss key and States are:
        FL Florida
        MD Maryland
        TN Tennessee
        WI Wisconsin
        WO Washington, Oregon and northern part of California.

-ta A specifies a character employed as the first character to denote a control line to be passed through without processing. This option applicable to ascii input only. (# is the default value).

-e string
    String is an arbitrary string to be output if an error is detected during data transformations. The default value is: *\t*. Note that if the -o bin option is employed, an error is output as HUGE_VAL for both values.

-r region
    specifies which regional conversion table to employ which are identified by the following:
    conus - conterminous 48 States
    alaska - State of Alaska
    hawaii - State of Hawaii
    prvi - Puerto Rico and Virgin Islands
    stgeorge - St. George Is, Alaska
    stpaul - St. Paul Is, Alaska
    stlrnc - St. Lawrence Is, Alaska

    -E  Input coordinates are echoed to output before ouput values.

-f format
    Format is a printf format string to control the form of the output values. For inverse projections, the output will be in degrees when this option is employed. If a format is specified for inverse projection the output data will be in decimal degrees. The default format is %.2f for forward projection and DMS for inverse.

-[w|W]n
    N is the number of significant fractional digits to employ for seconds output (when the option is not specified, -w3 is assumed). When -W is employed the fields will be constant width and with leading zeroes.

One or more files (processed in left to right order) specify the source of data to be transformed. A - will specify the location of processing standard input. If no files are specified, the input is assumed to be from stdin. For ASCII input data the two data values must be in the first two white space separated fields and when both input and output are ASCII all trailing portions of the input line are appended to the output line.

Input geographic data (longitude and latitude) must be in DMS format when neither utm nor spcs is specified, otherwise in meters or feet (feet option used). Input data fields must be separated by white space and not have imbedded white space.

Output data will be in tab separated fields of DMS or grid coordinates in meters or feet.

Any data after the two input values are echoed after the two output data values.

SEE ALSO
cs2cs(1U), proj(1U),
Cartographic Projection Procedures for the UNIX Environment—A User's Manual, (Evenden, 1990, Open-file report 90-284).

HOME PAGE
http://www.remotesensing.org/proj